CREATE TABLE hns_config_b (
    CONFIG_ID                NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    CONFIG_TYPE              VARCHAR2(400)     NOT NULL,
    CONFIG_CODE              VARCHAR2(120)     NOT NULL,
    CONFIG_VALUE             NUMBER(18, 0) ,
    CONFIG_EMAIL             VARCHAR2(1000),
    CONFIG_FLAG              VARCHAR2(4)   ,
    DISPLAY_SEQUENCE         NUMBER(18, 0) ,
    DISPLAY_ORDER            NUMBER(18, 0) ,
    DELETED_FLAG             VARCHAR2(4)   ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_NUMBER6        NUMBER        ,
    ATTRIBUTE_NUMBER7        NUMBER        ,
    ATTRIBUTE_NUMBER8        NUMBER        ,
    ATTRIBUTE_NUMBER9        NUMBER        ,
    ATTRIBUTE_NUMBER10       NUMBER        ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6)  ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONFIG_ID                NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    CONFIG_TYPE              VARCHAR2(400)     NOT NULL,
    CONFIG_CODE              VARCHAR2(120)     NOT NULL,
    CONFIG_VALUE             NUMBER(18, 0) ,
    CONFIG_EMAIL             VARCHAR2(1000),
    CONFIG_FLAG              VARCHAR2(4)   ,
    DISPLAY_SEQUENCE         NUMBER(18, 0) ,
    DELETED_FLAG             VARCHAR2(4)   ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_NUMBER6        NUMBER        ,
    ATTRIBUTE_NUMBER7        NUMBER        ,
    ATTRIBUTE_NUMBER8        NUMBER        ,
    ATTRIBUTE_NUMBER9        NUMBER        ,
    ATTRIBUTE_NUMBER10       NUMBER        ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6)  ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    DISPLAY_ORDER            NUMBER(18, 0) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hns_config_b PRIMARY KEY (CONFIG_ID, CONFIG_ID)
);
